# Delete scheduled stream event
`DELETE https://octopus.livepush.io/streams/{stream_id}/config/scheduler/events/{event_id}`
Deletes a scheduled pre-recorded live stream event before it starts.

This operation does not affect the stream configuration or playlist.
- **Tag:** Stream Scheduler
- **Operation ID:** `deleteStreamsStreamIdConfigSchedulerEventsEventId`
- **Authentication:** Bearer token required
- **Docs:** https://developers.livepush.io/stream-scheduler/delete-scheduled-stream-event/

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `stream_id` | string | yes | Unique identifier of the pre-recorded live stream |
| `event_id` | string | yes | Unique identifier of the scheduled event |


### Example request

```bash
curl -X DELETE 'https://octopus.livepush.io/streams/<stream_id>/config/scheduler/events/<event_id>' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```


### Responses


#### 200 — Scheduled event deleted successfully


#### 401 — Unauthorized


#### 404 — Stream or event not found

